Upgrade Phobia

 
Richard Briggs
Regular Advisor

Upgrade Phobia

I need information about upgrading my B.3.3.116 Ignite to the latest version...

my issues are: I'm very familiar with my current version and do not know how to upgrade to the latest version of Ignite... plus I don't know what is different in the newest version of Ignite... how do I upgrade and what has changed... (what about all my golden images?) etc. Are the INDEX files and config files the same...do I still have to manually write my impact statements... ?!
#find / -name coffee | cup < cream
9 REPLIES 9
Pete Randall
Outstanding Contributor

Re: Upgrade Phobia

Richard,

No need for concern. The changes in Ignite are more fixes and hardware upgrade sort of things. You should still be completely comfortable with a new version.

The upgrade process is simple: download the new version, swremove the old, then swinstall the new. That's it.


Pete

Pete
Patrick Wallek
Honored Contributor

Re: Upgrade Phobia

The easiest way I have found to "upgrade" is to swremove the version currently installed and then swinstall the new version. I have had problems in the past when just swinstall'ing the newer version of Ignite.

Your golden images should be fine, as should the Index and config files.

To get all the details, I suggest you read through the release notes to see everything that has changed from B.3.3 to C.6.2.241 (current version).

Here's the Ignite site with links to documentation:

http://www.docs.hp.com/en/IUX/
Richard Briggs
Regular Advisor

Re: Upgrade Phobia

What about all my OS depots & golden images I've created? right now I can boot a machine.. select... install HPUX 11.11 TCOE and I've rolled all the application disks into that OS depot...will they still be usable? there? ..and what of my image files? created under 3.3.116 tar'd gzipped archives of my servers?
#find / -name coffee | cup < cream
Patrick Wallek
Honored Contributor

Re: Upgrade Phobia

If you are really paranoid, make sure you do backups of your Golden Images and other image files before you upgrade. If they do happen to get wiped out, you can always restore them.
Bill Hassell
Honored Contributor

Re: Upgrade Phobia

Ignite has remained backward compatible for data and image files. The primary (and most important) reason to upgrade is to support new hardware. Anytime you add a new tape drive, disk drive or LAN card, there is a possibility that it isn't supported with an old version of Ignite.


Bill Hassell, sysadmin
Michael Roberts_3
Honored Contributor

Re: Upgrade Phobia

Support for B.10.20 has been dropped in the C.* versions. So If you have any 10.20 images they will no longer work if you go to C.*.

Also, copy /var/opt/ignite/INDEX and /var/opt/ignite/config.local aside before swremove/swinstall.

etouq ot hguone revelc ton m'i
Richard Briggs
Regular Advisor

Re: Upgrade Phobia

what was the last version to support 10.20 + 11.00 + 11.11 ? I have all three and need ignite for all three...
#find / -name coffee | cup < cream
Michael Roberts_3
Honored Contributor

Re: Upgrade Phobia

B.5.4 was the last version to support B.10.20.
etouq ot hguone revelc ton m'i
James R. Ferguson
Acclaimed Contributor

Re: Upgrade Phobia

Hi Richard:

There is a wealth of information about the various versions; features; recommendations; downloads, etc at the Ignite "home" site:

http://docs.hp.com/en/IUX/

Follow the links on the right side.

The "What's New" link notes that release B.5.4.x (June 2004) was the last release taht provides support for 10.20, while the current release, C.6.2.x supports 11.0 and later.

Regards!

...JRF...